## kbuild 0.1.9998svn3686+dfsg

=== src/fastdep/Makefile ===
# $Id: Makefile 2413 2010-09-11 17:43:04Z bird $

#
# Odin32 API
#
#   Makefile for the Quick-and-Dirty dependency utility. (FastDep)
#
#   Copyright (c) 1999-2010 knut st. osmundsen <bird-kBuild-spamx@anduin.net>
#
#   GPL
#


!ifdef BUILD_SETUP_MAK


#
# Setup config
#
ALL_NO_DBGMEM = 1
PATH_ROOT = ..\..
!include $(PATH_ROOT)\$(BUILD_SETUP_MAK)

#
# Target config
#
TARGET_NAME = fastdep
TARGET_MODE = EXE
TARGET_NEEDED = 1
TARGET_PUB_BASE = $(PATH_TOOLS)

TARGET_OBJS =\
$(PATH_TARGET)\fastdep.$(EXT_OBJ)\
$(PATH_TARGET)\avl.$(EXT_OBJ)\

TARGET_LIBS =\
$(LIB_OS)\
$(LIB_C_OBJ)

#
# Rules config
#
RULES_FORWARD =
!include $(MAKE_INCLUDE_PROCESS)


!else
#
# Directory macro.
#
ODIN32_BIN     = $(ODIN32_TOOLS)


#
# Tell buildenvironment that we're making an VIO .exe.
# Tell buildenvironment that we like to use static linked CRT.
# Tell buildenvironment that we should not copy this into /bin.
#
EXETARGET = 1
VIO = 1
STATIC_CRT = 1
NO_MAIN_BIN_COPY = 1


#
# include common definitions
#
!include ../../makefile.inc


#
# Addjust common definitions
#
!if "$(VAC3)" == "1" || "$(VAC36)" == "1"
CFLAGS   = $(CFLAGS) -W3 -Wall+ppt-ppc-inl-cnv-gnr-vft-gen-uni-ext- \
!ifdef DEBUG
        -O+ -Tm-
!endif
!endif


#
# Object files. Prefix with OBJDIR and one space before the '\'.
#
OBJS = \
$(OBJDIR)\fastdep.obj \
$(OBJDIR)\avl.obj


#
# Libraries. One space before the '\'.
#
LIBS = \
$(RTLLIB) \
os2386.lib


#
# Target name - name of the exe without extention and path.
#
TARGET = FastDep


#
# Includes the common rules.
#
!include $(ODIN32_POST_INC)


#
# We need all.
#
needed: all
!endif


#
# NT version using Watcom C/C++.
#
fastdepnt.exe:
    wcl386 -bt=nt -l=nt -d2 /hc /"option map" -DOS2FAKE=1 -I$(WATCOM)\h\nt fastdep.c avl.c os2fake-win.c /Fe=$@ kernel32.lib

=== debian/changelog ===
kbuild (1:0.1.9998svn3686+dfsg-2~progress8.99u1) horok-backports; urgency=medium

  * Uploading to horok-backports, remaining changes:
    - Updating maintainer field.
    - Updating uploaders field.
    - Updating bugs field.
    - Updating vcs fields.
  * Merging debian version 1:0.1.9998svn3686+dfsg-2.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 26 Aug 2025 09:40:52 +0200

kbuild (1:0.1.9998svn3686+dfsg-1~progress8.99u1) horok-backports; urgency=medium

  * Initial upload to horok-backports.
  * Updating maintainer field.
  * Updating uploaders field.
  * Updating bugs field.
  * Updating vcs fields.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 26 Aug 2025 07:26:10 +0200

=== debian/control ===
Source: kbuild
Section: devel
Priority: optional
Maintainer: Progress Linux Maintainers <maintainers@lists.progress-linux.org>
XSBC-Uploaders: Daniel Baumann <daniel.baumann@progress-linux.org>
XSBC-Original-Maintainer: Debian Virtualbox Team <team+debian-virtualbox@tracker.debian.org>
XSBC-Original-Uploaders: Ritesh Raj Sarraf <rrs@debian.org>,
           Gianfranco Costamagna <locutusofborg@debian.org>
Bugs: mailto:maintainers@lists.progress-linux.org
Build-Depends: debhelper-compat (= 13),
               byacc,
               flex,
               libacl1-dev,
               texinfo,
               pkg-config
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://svn.netlabs.org/kbuild
Vcs-Browser: https://git.progress-linux.org/horok-backports/kbuild
Vcs-Git: https://git.progress-linux.org/horok-backports/kbuild
XSBC-Original-Vcs-Browser: https://salsa.debian.org/pkg-virtualbox-team/kbuild
XSBC-Original-Vcs-Git: https://salsa.debian.org/pkg-virtualbox-team/kbuild.git

Package: kbuild
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: framework for writing simple makefiles for complex tasks
 The goals of the kBuild framework:
  - Similar behavior cross all supported platforms.
  - Flexibility, don't create unnecessary restrictions preventing ad-hoc
    solutions.
  - Makefile can very simple to write and maintain.
 .
 There are four concepts being tried out in the current kBuild incaration:
  - One configuration file for a subtree automatically included.
  - Target configuration templates as the primary mechanism for makefile
    simplification.
  - Tools and SDKs for helping out the templates with flexibility.
  - Non-recursive makefile method by using sub-makefiles.
 .
 kBuild does not provide any facilities for checking compiler/library/header
 configurations, that's not in its scope. If this is important for your
 project, check out the autoconf tool in the GNU build system. It is possible
 to use kBuild together with autoconf if you like, but you might just as well
 use the full GNU package.

## kbuild 1366

=== src/fastdep/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-# $Id: Makefile 2413 2010-09-11 17:43:04Z bird $
+# $Id: Makefile 785 2007-01-24 22:21:56Z bird $
 
 #
 # Odin32 API
 #
 #   Makefile for the Quick-and-Dirty dependency utility. (FastDep)
 #
-#   Copyright (c) 1999-2010 knut st. osmundsen <bird-kBuild-spamx@anduin.net>
+#   Copyright (c) 1999-2002 knut st. osmundsen (bird-kBuild-spam@anduin.net)
 #
 #   GPL
 #
